/* GtkJentchina
 * STRASSER Michel - 20040317		init (GJnaFsdSView)
 * STRASSER Michel - 20040413		renamed to GJnaFsdSView more generic
 * */

#ifndef __GJNA_FSD_S_VIEW_H__
#define __GJNA_FSD_S_VIEW_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <libJentchina.h>

#define	GJNA_TYPE_FSD_S_VIEW			(GJnaFsdSView_getType ())
#define GJNA_FSD_S_VIEW(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), GJNA_TYPE_FSD_S_VIEW, GJnaFsdSView))
#define GJNA_FSD_S_VIEW_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), GJNA_TYPE_FSD_S_VIEW, GJnaFsdSViewClass))
#define GJNA_IS_FSD_S_VIEW(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							GJNA_TYPE_FSD_S_VIEW))
#define GJNA_IS_FSD_S_VIEW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							GJNA_TYPE_FSD_S_VIEW))
#define GJNA_FSD_S_VIEW_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define GJNA_FSD_S_VIEW_TYPE_NAME(object)	  (g_type_name (GJNA_FSD_S_VIEW_TYPE (object)))

typedef struct _GJnaFsdSView	GJnaFsdSView;
typedef struct _GJnaFsdSViewClass	GJnaFsdSViewClass;

struct _GJnaFsdSView
{
	GtkScrolledWindow 	parent_instance;
	char*			modelName;

	/* private */
	GtkWidget*		treeView;
	GObject*		model;	/* GJnaFsdModel */
	GObject*		dialog;	/* GJnaFilterSelectionDialog, may be NULL */
};

struct _GJnaFsdSViewClass
{
	GtkScrolledWindowClass 	parent_class;
};

G_BEGIN_DECLS

GType		
GJnaFsdSView_getType		(void);

GObject* 	
GJnaFsdSView_new			(GObject* jentchina,
					 JentchinaFilterType filterType,
					 JentchinaTreeModelType modelType,
					 GObject* dialog);

G_END_DECLS

#endif /* __GJNA_FSD_S_VIEW_H__ */
