/* GtkJentchina
 * STRASSER Michel - 20040313		init
 * STRASSER Michel - 20040413		using general views
 * */


#include "GJnaFsdSelect.h"
#include <glib.h>
#include <glib-object.h>
#include <gnome.h>
#include "GJnaFsdSView.h"
#include <libJentchina.h>

static GObjectClass *gjnaFsdSelect_parentClass;

static void
impl_GJnaFsdSelect_finalize(GObject *object)
{
	GJnaFsdSelect *self=(GJnaFsdSelect*)object;

	gtk_widget_hide(GTK_WIDGET(self));
	/*
	g_object_unref(G_OBJECT(self->categoryView));
	g_object_unref(G_OBJECT(self->categoryL));
	*/
	g_object_unref(G_OBJECT(self->serverView));
	/*
	g_object_unref(G_OBJECT(self->serverL));
	*/
	gjnaFsdSelect_parentClass->finalize(object);
}

static void
GJnaFsdSelectClass_init (GJnaFsdSelectClass *selfClass)
{
	GObjectClass *objectClass = (GObjectClass *)selfClass;
	gjnaFsdSelect_parentClass = g_type_class_peek_parent (selfClass);

	objectClass->finalize=impl_GJnaFsdSelect_finalize;
}

GType		GJnaFsdSelect_getType		(void)
{
	static GType type = 0;

	if (!type) {
		GTypeInfo info = {
			sizeof (GJnaFsdSelectClass),
			NULL, NULL,
			(GClassInitFunc) GJnaFsdSelectClass_init,
			NULL, NULL,
			sizeof (GJnaFsdSelect),
			0,
			NULL, NULL
		};

		type = g_type_register_static (
		/*	GTK_TYPE_NOTEBOOK, */
			GTK_TYPE_FRAME,
			"GJnaFsdSelect", &info, 0);
	}

	return type;
}

GObject* 	
GJnaFsdSelect_new			(GObject* jentchina,
					 JentchinaFilterType filterType,
					 GObject* dialog)
{
	GJnaFsdSelect* retval;

	g_message(__PRETTY_FUNCTION__);
	retval=g_object_new(GJNA_TYPE_FSD_SELECT, NULL);
	gtk_frame_set_label(GTK_FRAME(retval), "Available filters");
/*
	retval->categoryView=(GtkWidget*)GJnaFsdSCategoryView_new();
	g_object_ref(G_OBJECT(retval->categoryView));
	gtk_widget_show(GTK_WIDGET(retval->categoryView));
	
  	gtk_container_add (GTK_CONTAINER (retval), retval->categoryView);
	
	retval->categoryL = gtk_label_new ("Category");
	gtk_widget_show(retval->categoryL);
	gtk_notebook_set_tab_label (GTK_NOTEBOOK(retval), 
			gtk_notebook_get_nth_page (GTK_NOTEBOOK (retval), 0), retval->categoryL);
	gtk_label_set_justify (GTK_LABEL(retval->categoryL), GTK_JUSTIFY_LEFT);

*/
	retval->serverView=(GtkWidget*)GJnaFsdSView_new(jentchina, filterType, JentchinaTreeModelType_SERVER, dialog);
	g_object_ref(G_OBJECT(retval->serverView));
	gtk_widget_show(GTK_WIDGET(retval->serverView));
	
  	gtk_container_add (GTK_CONTAINER (retval), retval->serverView);
/*
	retval->serverL = gtk_label_new ("Server");
	gtk_widget_show(retval->serverL);
	gtk_notebook_set_tab_label (GTK_NOTEBOOK(retval), 
			gtk_notebook_get_nth_page (GTK_NOTEBOOK (retval), 1), retval->serverL);
	gtk_label_set_justify (GTK_LABEL(retval->serverL), GTK_JUSTIFY_LEFT);
*/

	return (GObject*) retval;
}

