/* GtkJentchina
 * STRASSER Michel - 20040313		init
 * */

#ifndef __GJNA_FILTER_SELECTION_DIALOG_H__
#define __GJNA_FILTER_SELECTION_DIALOG_H__

#include <glib.h>
#include <glib-object.h>
#include <gnome.h>
#include <libJentchina.h>

#define	GJNA_TYPE_FILTER_SELECTION_DIALOG			(GJnaFilterSelectionDialog_getType ())
#define GJNA_FILTER_SELECTION_DIALOG(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), GJNA_TYPE_FILTER_SELECTION_DIALOG, GJnaFilterSelectionDialog))
#define GJNA_FILTER_SELECTION_DIALOG_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), GJNA_TYPE_FILTER_SELECTION_DIALOG, GJnaFilterSelectionDialogClass))
#define GJNA_IS_FILTER_SELECTION_DIALOG(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							GJNA_TYPE_FILTER_SELECTION_DIALOG))
#define GJNA_IS_FILTER_SELECTION_DIALOG_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							GJNA_TYPE_FILTER_SELECTION_DIALOG))
#define GJNA_FILTER_SELECTION_DIALOG_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define GJNA_FILTER_SELECTION_DIALOG_TYPE_NAME(object)	  (g_type_name (GJNA_FILTER_SELECTION_DIALOG_TYPE (object)))


#ifndef _GJnaFilterType_
#define _GJnaFilterType_
typedef enum {
	GJnaFilterType_IMPORT,
	GJnaFilterType_EXPORT,
	GJnaFilterType_NUM
} GJnaFilterType;

#endif

typedef struct _GJnaFilterSelectionDialog	GJnaFilterSelectionDialog;
typedef struct _GJnaFilterSelectionDialogClass	GJnaFilterSelectionDialogClass;

struct _GJnaFilterSelectionDialog
{
	GtkDialog 			parent_instance;
	GtkWidget*			hPaned;
	GtkWidget*			select;
	GtkWidget*			info;
	GtkWidget*			ok;
	GtkWidget*			cancel;
	GObject*			jentchina; /* JentchinaObj, may be NULL */
	JentchinaIter			filterRef;
};

struct _GJnaFilterSelectionDialogClass
{
	GtkDialogClass 		parent_class;
};

G_BEGIN_DECLS

GType		
GJnaFilterSelectionDialog_getType		(void);

GObject* 	
GJnaFilterSelectionDialog_new		(char* appName,
					 GJnaFilterType filterType,
					 GObject* jentchina); /* JentchinaObj, may be NULL */

void
GJnaFilterSelectionDialog_run		(GJnaFilterSelectionDialog* self);

void
GJnaFilterSelectionDialog_CB_selectionChanged	(GJnaFilterSelectionDialog* self,
						 JentchinaIter iter);

G_END_DECLS

#endif /* __GJNA_FILTER_SELECTION_DIALOG_H__ */
