/* GtkJentchina
 * STRASSER Michel - 20040311		init
 * */


#include "GJnaFsdIFAAuthor.h"
#include <glib.h>
#include <glib-object.h>
#include <gnome.h>

static GObjectClass *gjnaFsdIFAAuthor_parentClass;

static void
impl_GJnaFsdIFAAuthor_finalize(GObject *object)
{
	GJnaFsdIFAAuthor *self=(GJnaFsdIFAAuthor*)object;

	gtk_widget_hide(GTK_WIDGET(self));
	g_object_unref(G_OBJECT(self->image));
	g_object_unref(G_OBJECT(self->href));
	gjnaFsdIFAAuthor_parentClass->finalize(object);
}

static void
GJnaFsdIFAAuthorClass_init (GJnaFsdIFAAuthorClass *selfClass)
{
	GObjectClass *objectClass = (GObjectClass *)selfClass;
	gjnaFsdIFAAuthor_parentClass = g_type_class_peek_parent (selfClass);

	objectClass->finalize=impl_GJnaFsdIFAAuthor_finalize;
}

GType		GJnaFsdIFAAuthor_getType		(void)
{
	static GType type = 0;

	if (!type) {
		GTypeInfo info = {
			sizeof (GJnaFsdIFAAuthorClass),
			NULL, NULL,
			(GClassInitFunc) GJnaFsdIFAAuthorClass_init,
			NULL, NULL,
			sizeof (GJnaFsdIFAAuthor),
			0,
			NULL, NULL
		};

		type = g_type_register_static (
			GTK_TYPE_VBOX,
			"GJnaFsdIFAAuthor", &info, 0);
	}

	return type;
}

GObject* 	
GJnaFsdIFAAuthor_new			(char* name,
				 	 char* email,
					 char* pic)
{
	GJnaFsdIFAAuthor* retval;
	gchar* e;

	retval=g_object_new(GJNA_TYPE_FSD_I_F_A_AUTHOR, NULL);

	retval->image=gtk_image_new_from_file(pic);
	g_object_ref(G_OBJECT(retval->image));
	gtk_widget_show(retval->image);
	gtk_box_pack_start(GTK_BOX(retval), retval->image, TRUE, TRUE, 0);

	e=g_strconcat("mailto:", email, NULL);
	retval->href=gnome_href_new(e, name);
	
	g_object_ref(G_OBJECT(retval->href));
	gtk_widget_show(retval->href);
	gtk_box_pack_start(GTK_BOX(retval), retval->href, TRUE, TRUE, 0);

	g_free(e);
	
	return (GObject*) retval;
}

