/* GtkJentchina
 * STRASSER Michel - 20040311		init
 * */


#include "GJnaFsdIFAuthors.h"
#include "GJnaFsdIFAAuthor.h"
#include <glib.h>
#include <glib-object.h>

static GObjectClass *gjnaFsdIFAuthors_parentClass;

static void
impl_GJnaFsdIFAuthors_finalize(GObject *object)
{
	GList* l;
	GJnaFsdIFAuthors *self=(GJnaFsdIFAuthors*)object;
	
	gtk_widget_hide(GTK_WIDGET(self));
	
	for(l=self->list ; l ; l=g_list_next(l)) {
		g_object_unref(G_OBJECT(l->data));
	}

	gjnaFsdIFAuthors_parentClass->finalize(object);
}

static void
GJnaFsdIFAuthorsClass_init (GJnaFsdIFAuthorsClass *selfClass)
{
	GObjectClass *objectClass = (GObjectClass *)selfClass;
	gjnaFsdIFAuthors_parentClass = g_type_class_peek_parent (selfClass);

	objectClass->finalize=impl_GJnaFsdIFAuthors_finalize;
}

GType		GJnaFsdIFAuthors_getType		(void)
{
	static GType type = 0;

	if (!type) {
		GTypeInfo info = {
			sizeof (GJnaFsdIFAuthorsClass),
			NULL, NULL,
			(GClassInitFunc) GJnaFsdIFAuthorsClass_init,
			NULL, NULL,
			sizeof (GJnaFsdIFAuthors),
			0,
			NULL, NULL
		};

		type = g_type_register_static (
			GTK_TYPE_HBOX,
			"GJnaFsdIFAuthors", &info, 0);
	}

	return type;
}

GObject* 	
GJnaFsdIFAuthors_new			()
{
	GJnaFsdIFAuthors* retval;

	retval=g_object_new(GJNA_TYPE_FSD_I_F_AUTHORS, NULL);
	gtk_widget_set_usize(GTK_WIDGET(retval), 100, 120);
	retval->list=NULL;
	
	return (GObject*) retval;
}

void
GJnaFsdIFAuthors_set		(GJnaFsdIFAuthors* self,
				 GList* list)
{
	GList* l;

	g_return_if_fail(GJNA_IS_FSD_I_F_AUTHORS(self));
	
	for(l=self->list ; l ; l=g_list_next(l)) {
		GObject* author; /* GJnaFsdIFAAuthor */
		author=(GObject* )l->data;

		gtk_container_remove(GTK_CONTAINER(self), GTK_WIDGET(author));
		//g_object_unref(G_OBJECT(author)); /* FIXME */
	}
	g_list_free(self->list);
	self->list=NULL;

	for(l=list ; l ; l=g_list_next(l)) {
		GObject* author; /* GJnaFsdIFAAuthor */
		author=(GObject* )l->data;
		g_return_if_fail(GJNA_IS_FSD_I_F_A_AUTHOR(author));
		
		gtk_box_pack_end_defaults(GTK_BOX(self), GTK_WIDGET(author));
		g_object_ref(author);
		gtk_widget_show(GTK_WIDGET(author));
		self->list=g_list_append(self->list, author);
	}
}

