/* GtkJentchina
 * STRASSER Michel - 20040312		init
 * */

#ifndef __GJNA_FSD_I_F_INFO_H__
#define __GJNA_FSD_I_F_INFO_H__

#include <glib.h>
#include <glib-object.h>
#include <gnome.h>

#define	GJNA_TYPE_FSD_I_F_INFO			(GJnaFsdIFInfo_getType ())
#define GJNA_FSD_I_F_INFO(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), GJNA_TYPE_FSD_I_F_INFO, GJnaFsdIFInfo))
#define GJNA_FSD_I_F_INFO_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), GJNA_TYPE_FSD_I_F_INFO, GJnaFsdIFInfoClass))
#define GJNA_IS_FSD_I_F_INFO(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							GJNA_TYPE_FSD_I_F_INFO))
#define GJNA_IS_FSD_I_F_INFO_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							GJNA_TYPE_FSD_I_F_INFO))
#define GJNA_FSD_I_F_INFO_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define GJNA_FSD_I_F_INFO_TYPE_NAME(object)	  (g_type_name (GJNA_FSD_I_F_INFO_TYPE (object)))

typedef struct _GJnaFsdIFInfo	GJnaFsdIFInfo;
typedef struct _GJnaFsdIFInfoClass	GJnaFsdIFInfoClass;
typedef struct _GJnaFsdIFInfoKeyValueWidgets	GJnaFsdIFInfoKeyValueWidgets;

typedef enum {
	GJnaFsdIFInfoKeyValueWidgets_NAME,
	GJnaFsdIFInfoKeyValueWidgets_VERSION,
	GJnaFsdIFInfoKeyValueWidgets_YEAR,
	GJnaFsdIFInfoKeyValueWidgets_LICENSE,
	GJnaFsdIFInfoKeyValueWidgets_APPLICATION,
	GJnaFsdIFInfoKeyValueWidgets_INFOS,
	GJnaFsdIFInfoKeyValueWidgets_LAST
} GJnaFsdIFInfoKeyValueWidgetsNum;

struct _GJnaFsdIFInfoKeyValueWidgets
{
	GtkWidget* 		key;
	GObject* 		value;
};

struct _GJnaFsdIFInfo
{
	GtkTable 		parent_instance;
	GJnaFsdIFInfoKeyValueWidgets	keyValue[GJnaFsdIFInfoKeyValueWidgets_LAST];
};

struct _GJnaFsdIFInfoClass
{
	GtkTableClass 		parent_class;
};

G_BEGIN_DECLS

GType		
GJnaFsdIFInfo_getType		(void);

GObject* 	
GJnaFsdIFInfo_new		();

void
GJnaFsdIFInfo_set		(GJnaFsdIFInfo* self,
				 char* name,
				 int version,
				 char* year,
				 char* license,
				 char* application,
				 char* infos);

G_END_DECLS

#endif /* __GJNA_FSD_I_F_INFO_H__ */
