/* GtkJentchina
 * STRASSER Michel - 20040312		init
 * */

#ifndef __GJNA_FSD_I_FILTER_H__
#define __GJNA_FSD_I_FILTER_H__

#include <glib.h>
#include <glib-object.h>
#include <gnome.h>

#define	GJNA_TYPE_FSD_I_FILTER			(GJnaFsdIFilter_getType ())
#define GJNA_FSD_I_FILTER(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), GJNA_TYPE_FSD_I_FILTER, GJnaFsdIFilter))
#define GJNA_FSD_I_FILTER_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), GJNA_TYPE_FSD_I_FILTER, GJnaFsdIFilterClass))
#define GJNA_IS_FSD_I_FILTER(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							GJNA_TYPE_FSD_I_FILTER))
#define GJNA_IS_FSD_I_FILTER_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							GJNA_TYPE_FSD_I_FILTER))
#define GJNA_FSD_I_FILTER_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define GJNA_FSD_I_FILTER_TYPE_NAME(object)	  (g_type_name (GJNA_FSD_I_FILTER_TYPE (object)))

typedef struct _GJnaFsdIFilter	GJnaFsdIFilter;
typedef struct _GJnaFsdIFilterClass	GJnaFsdIFilterClass;

struct _GJnaFsdIFilter
{
	GtkHBox 		parent_instance;
	GtkWidget*		vbox;
	GtkWidget*		infoF;
	GtkWidget*		info;
	GtkWidget*		authorsF;
	GtkWidget*		authors;
	GtkWidget*		previewF;
	GtkWidget*		preview;
};

struct _GJnaFsdIFilterClass
{
	GtkHBoxClass 		parent_class;
};

G_BEGIN_DECLS

GType		
GJnaFsdIFilter_getType		(void);

GObject* 	
GJnaFsdIFilter_new		();

void
GJnaFsdIFilter_set		(GJnaFsdIFilter* self,
				 char* name,
				 int version,
				 char* year,
				 char* license,
				 char* application,
				 char* infos,
				 GList* authors,
				 char* preview);

G_END_DECLS

#endif /* __GJNA_FSD_I_FILTER_H__ */
