/* GtkJentchina
 * STRASSER Michel - 20040311		init
 * */

#ifndef __GJNA_FSD_INFO_H__
#define __GJNA_FSD_INFO_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#define	GJNA_TYPE_FSD_INFO			(GJnaFsdInfo_getType ())
#define GJNA_FSD_INFO(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), GJNA_TYPE_FSD_INFO, GJnaFsdInfo))
#define GJNA_FSD_INFO_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), GJNA_TYPE_FSD_INFO, GJnaFsdInfoClass))
#define GJNA_IS_FSD_INFO(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							GJNA_TYPE_FSD_INFO))
#define GJNA_IS_FSD_INFO_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							GJNA_TYPE_FSD_INFO))
#define GJNA_FSD_INFO_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define GJNA_FSD_INFO_TYPE_NAME(object)	  (g_type_name (GJNA_FSD_INFO_TYPE (object)))

typedef struct _GJnaFsdInfo	GJnaFsdInfo;
typedef struct _GJnaFsdInfoClass	GJnaFsdInfoClass;

struct _GJnaFsdInfo
{
	GtkVBox 			parent_instance;
	GtkWidget*			server;
	GtkWidget*			serverF;
	GtkWidget*			filter;
	GtkWidget*			filterF;
};

struct _GJnaFsdInfoClass
{
	GtkVBoxClass 		parent_class;
};

G_BEGIN_DECLS

GType		
GJnaFsdInfo_getType		(void);

GObject* 	
GJnaFsdInfo_new		();

void
GJnaFsdInfo_set			(GJnaFsdInfo* self,
				 char* serverName,
				 char* serverPic,
				 char* filterName,
				 int version,
				 char* year,
				 char* license,
				 char* application,
				 char* info,
				 GList* authors,
				 char* filterPic);

G_END_DECLS

#endif /* __GJNA_FSD_INFO_H__ */
