/* GtkJentchina
 * STRASSER Michel - 20040408		init
 * */

#ifndef __GJNA_OBJ_H__
#define __GJNA_OBJ_H__

#include <glib.h>
#include <glib-object.h>
#include <lsmlib.h>

#define	GJNA_TYPE_OBJ			(GJnaObj_getType ())
#define GJNA_OBJ(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), GJNA_TYPE_OBJ, GJnaObj))
#define GJNA_OBJ_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), GJNA_TYPE_OBJ, GJnaObjClass))
#define GJNA_IS_OBJ(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							GJNA_TYPE_OBJ))
#define GJNA_IS_OBJ_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							GJNA_TYPE_OBJ))
#define GJNA_OBJ_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define GJNA_OBJ_TYPE_NAME(object)	  (g_type_name (GJNA_OBJ_TYPE (object)))

#ifndef _GJnaFilterType_
#define _GJnaFilterType_

typedef enum {
	GJnaFilterType_IMPORT,
	GJnaFilterType_EXPORT,
	GJnaFilterType_NUM
} GJnaFilterType;

#endif

typedef enum {
	GJnaStatus_OK=0,
	GJnaStatus_CANCELLED_BY_USER_ON_SELECTION,
	GJnaStatus_CANCELLED_BY_USER_ON_OPTIONS,
	GJnaStatus_APPLY_FILTER_ERROR,
	/* TODO */
	GJnaStatus_NUM
} GJnaStatus;

typedef struct _GJnaObj	GJnaObj;
typedef struct _GJnaObjClass	GJnaObjClass;

struct _GJnaObj
{
	GObject 	parent_instance;
	GObject*	jentchina;
	GObject*	fsd[GJnaFilterType_NUM];
};

struct _GJnaObjClass
{
	GObjectClass 	parent_class;
};

G_BEGIN_DECLS

GType		
GJnaObj_getType		(void);

GObject* 	
GJnaObj_new		(char* appName);

GJnaStatus
GJnaObj_applyFilter	(GJnaObj* self,
			 GJnaFilterType filterType,
			 LsmTree* in_input,
			 LsmTree** out_output);

G_END_DECLS

#endif /* __GJNA_OBJ_H__ */
