#!/bin/sh

# This configure script has been written manually
# by STRASSER Michel

for i in mak h ; do 
	if [[ -f config.$i ]]  ; 
	then mv -f config.$i config.$i.old ;  
	fi ;
done
	
cat << EOF > config.mak
#GtkJentchina 2004, Strasser Michel 
#<NOSPAMmichelNOSPAM.NOSPAMstrasserNOSPAM@PLEASEfreePLEASE.THANKfrYOU>


# This file has been generated automatically by configure.sh
# BUT you are allowed to edit it as your wish
# We are free, aren't we ? 


EOF

sed -e "s/^#/\/\//" config.mak > config.h

NUMPICS=`ls Pics/*.png | wc --lines` # count the number of avatar in the Pics directory
echo "number of availaible avatars : $NUMPICS"
echo "#define H_NumPics $NUMPICS" >> config.h

pkgConfigTest() {
	mnemo=$1 
	pkgName=$2 
	isFatal=$3

	if pkg-config --exists $pkgName ; 
	then  
		echo "$pkgName 		YES"
		echo "M_Has$mnemo=1" >> config.mak
		echo "#define H_Has$mnemo 1" >> config.h
	else
		if [ $isFatal = TRUE ] ;
		then 	C_Stop="$C_Stop
			FATAL ERROR : $pkgName not found"
			echo "$pkgName 		NO : FATAL"
		else
			echo "$pkgName 		NO : but was optional"
		fi
	fi
}

C_Stop=""

if which pkg-config ; 
then 	C_HasPkgConfig=1;
	echo "pkg-config found" ; 
	
	pkgConfigTest LSM lsmlib-2.0 TRUE
	pkgConfigTest LIG LibIGen-2.0 TRUE
	pkgConfigTest JNA Jentchina-2.0 TRUE
	pkgConfigTest GOB gobject-2.0 TRUE 
	pkgConfigTest GLI glib-2.0 TRUE
	pkgConfigTest GTK gtk+-2.0 TRUE
	pkgConfigTest GUI libgnomeui-2.0 TRUE # Should be FALSE (that means optional later)
else
	C_Stop="$C_Stop
FATAL ERROR : pkg-config not found"
fi

if test "Empty$C_Stop" = "Empty" ;
then echo "OK, U can compile it";
else 	echo $C_Stop ;
	echo "
stop:" >> config.mak
	echo $C_Stop | sed -e "s/^/	@echo\ /" >> config.mak
fi

